Page MenuHomePhabricator

Data missing on the hierarchical view on the wmcs-edits tool
Closed, ResolvedPublic

Description

There is no data on the hierarchical view here: https://wmcs-edits.wmflabs.org/#wmcs-edits

Looking at the data in wikis_by_wmcs_edits.tsv here: https://analytics.wikimedia.org/published/datasets/periodic/reports/metrics/wmcs/, it seems like the file did get an update this month, but there isn't any data in it for May.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2020, 8:53 PM
Nuria added a subscriber: Nuria.EditedMay 15 2020, 8:58 PM

@srishakatux data for may will be available by june 1st, makes sense? As data for may is compiled after the month has finished

fdans moved this task from Incoming to Ops Week on the Analytics board.May 18 2020, 4:03 PM

Looks like some files actually haven't run the April job properly, and there might be a bug with rendering the rest of the data. I'll take a closer look.

Yeah, the April job failed, I'm not exactly sure why, so I'm erasing the April line and letting it rerun. It should be fixed in a couple of hours, I'll try and remember to check up on it.

Milimetric triaged this task as Medium priority.May 18 2020, 8:22 PM
Milimetric added a project: Analytics-Kanban.

Ok, fixed, it will take a little while to sync to the public files, but it looks good. Still not sure why it broke, looks like data wasn't available or the job was stopped in the middle by accident or something.

Milimetric moved this task from Next Up to Done on the Analytics-Kanban board.May 18 2020, 8:22 PM
srishakatux closed this task as Resolved.May 20 2020, 8:35 PM
srishakatux claimed this task.
srishakatux awarded a token.

Thanks @Milimetric! Seems to have fixed now :)

Nuria added a comment.May 22 2020, 8:54 PM

nevermind it is athttps://github.com/wikimedia/puppet/blob/production/modules/profile/manifests/reportupdater/jobs.pp#L59